.light-box {
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: rgba(35,35,35, .73);
  top: 0;
  left: 0;
  z-index: 999999;
  align-items: center;
  justify-content: center;
}

.pop-up {
  width: 80%;
  max-width: 880px;
  max-height: calc(100vh - 4rem);
  flex-direction: column;
  align-self: center;
  margin: 0 auto;
  background: var(--compare-more);
  box-shadow: var(--float);
  padding: 2rem;
  border-radius: 2rem;
  border: 1px solid var(--color-6);
}

.pop-up .title {
  font-size: 2rem;
  font-weight: 300;
  color: var(--color-6);
  padding-bottom: 0;
}

.pop-up .list {
  flex-wrap: wrap;
  margin: 2rem;
}

.pop-up .listing {
  width: 50%;
  transform: translateX(1rem)
}

.pop-up button {
  color: white;
  padding: 1rem 2rem;
  background-color: var(--color-6);
  border-radius: 0.5rem;
  align-items: center;
}

/*
  .button-row will be the class name but we need to use it as a set of specific rules for behavior
*/
.pop-up .button-row {
  justify-content: flex-end;
}

/*
  Find out what is happening with all of these radio choices 
*/
.pop-up [type=radio] + label {
  align-items: center;
}

.pop-up [type=radio] + label span {
  width: 16px;
  height: 16px;
  border-radius: var(--circle);
  border: 1px solid var(--contrast-less);
  display: flex;
  margin-right: 1rem;
  position: relative;
  flex: 0 0 1;
  align-items: center;
  justify-content: center;
}

.pop-up [type=radio]:checked + label span::after {
  content: "";
  height: 12px;
  width: 12px;
  border-radius: var(--circle);
  background-color: var(--color-6);
  position: absolute;
  border: 2px solid white;
  flex-shrink: 0;
}

.pop-up {
  border: 1px solid var(--color-6);
  border-radius: .5rem;
  background-color: var(--lightest);
  flex-direction: column;
}

.pop-up button {
  justify-content: center;
  align-items: center;
  padding: .75rem;
  margin: 0 .5rem;
  min-width: 15ch;
  border-radius: .5rem;
}

.pop-up .disabled {
  background-color: var(--compare-less) !important;
}


.pop-up .close {
  font-size: 4ch;
  align-self: flex-end;
  color: var(--color-6);
  font-weight: 200;
  align-items: flex-end;
}

/*
   Find implimentation
*/
.doc-com .pop-up label:not(.large-form label) {
  padding: .5rem;
  border: 1px solid transparent;
}

/*
  Find all replace with correct name example : close-x
*/
.close {
  width: 100%;
  justify-content: flex-end;
  color: var(--color-6);
  font-weight: 300;
  font-size: 48px;
  line-height: .5;
}

.pop-up label {
  width: calc(100% - 2rem);
  border-top-color: var(--compare-more) !important;
  border-bottom-color: var(--compare-more) !important;
}

.pop-up :checked ~ label,
.pop-up label:hover {
  border-color: var(--compare-more) !important;
}

.pop-up-info-button {
  padding: 1rem;
  border-radius: var(--circle);
  background: var(--compare-less);
  color: white;
  margin-left: 1rem;
  flex-grow: 0;
  height: 2rem;
  width: 2rem;
  align-items: center;
  justify-content: center;
  align-self: center;
  cursor: pointer;

  &:hover {
    background: var(--color-6) !important;
  }
}

@media screen and (max-width: 480px){
  .pop-up {
    width: 100%;
    max-height:100vh;
  }

  .pop-up .mark-up {
    overflow-y: auto;
  }

  .pop-up div[style] {
    flex-direction: column;
  }
  .pop-up select {
    margin: 1rem 0;
  }
}

